Name:           ncmpcpp
Version:        0.9.2
Release:        %mkrel 3
Summary:        Featureful ncurses based MPD client inspired by ncmpc
Group:          Sound
License:        GPLv2+
URL:            http://ncmpcpp.rybczak.net/
Source0:        http://ncmpcpp.rybczak.net/stable/%{name}-%{version}.tar.xz
Patch1:		ncmpcpp-missing-include.patch
Source1:	%name.desktop
BuildRequires:  curl-devel
BuildRequires:  taglib-devel
BuildRequires:  ncurses-devel
BuildRequires:  libmpdclient-devel
BuildRequires:  boost-devel
BuildRequires:  readline-devel


%description
A featureful ncurses based MPD client inspired by ncmpc. The main features are:

- tag editor
- playlist editor
- easy to use search engine
- media library
- music visualizer
- ability to fetch artist info from last.fm
- new display mode
- alternative user interface
- ability to browse and add files from outside of MPD music directory

.. and a lot more minor functions.

%prep
%setup -q
%apply_patches

%build
BOOST_LIB_SUFFIX=""; export BOOST_LIB_SUFFIX ;
%configure2_5x
%make_build

%install
%makeinstall_std
install -Dpm 0644 %SOURCE1 %buildroot/%{_datadir}/applications/%name.desktop

%files
%defattr(-,root,root,-)
%{_bindir}
%{_datadir}


%changelog
* Sun Sep 18 2022 tex - 0.9.2-3pclos2022
- rebuild against updates

* Tue Sep 13 2022 tex - 0.9.2-2pclos2022
- rebuild against updates

* Tue Sep 28 2021 tex - 0.9.2-1pclos2021
- new version for new boost

* Mon Oct 07 2019 tex - 0.8.2-3pclos2019
- rebuild against updates

* Sat Jun 01 2019 tex - 0.8.2-2pclos2019
- rebuild against updates

* Tue Apr 23 2019 tex - 0.8.2-1pclos2019
- new version

* Sun Dec 10 2017 Zen Subz <techars21 at gmail dot com> - 0.8.1-1pclos2017
- Updated build for PCLinuxOS
